from netboxcli.core import Core

from .config_contexts import ConfigContexts
from .config_templates import ConfigTemplates


class Provisioning:
    """
    Provisioning module

    Args:
        netbox: (Core) The Netbox object generated by the Client class.

    Attributes:
        config_contexts (ConfigContexts): The config_contexts object.
        config_templates (ConfigTemplates): The config_templates object.
    """

    def __init__(self, netbox: Core):
        self.config_contexts = ConfigContexts(
            Core(netbox, '/api/extras/config-contexts/')
        )
        self.config_templates = ConfigTemplates(
            Core(netbox, '/api/extras/config-templates/')
        )


__all__ = ['Provisioning']
